/* STYLES FOR LAPTOPS AND TABLETS IN LANDSCAPE MODE (769PX TO 1279PX) */

@media screen and (min-width: 769px) and (max-width: 1279px) {
  /* ============================================================ */
  /*                        HEADER STYLES                         */
  /* ============================================================ */

  /*------------------------- Nav Bar --------------------------- */
  #navLeft img{
    width: 40px;
    margin-right: 0.5rem;
    border-radius: 50%;
  }

  #navRight span {
    display: inline-block;
    font-size: 0.95rem;
  }
  
  #navRight i {
    display: none;
  }

  .searchContainer {
    display: block;
  }

  .searchContainer.active {
    width: 70%;
    margin: auto;
  }

  .searchContainer.active 
  +  {
    width: 70%;
  }

  .autocom-box.inactive {
    display: block;
  }

  #navSearchBtn {
    display: none;
  }

  .homeBtn, .mapBtn{
  display: block;
  }

  .autocom-box {
    top: 30px;
  }


  /* ============================================================ */
  /*                         MAIN STYLES                          */
  /* ============================================================ */

  /*------------------------ Hero Image ------------------------- */
  #homeHero h1{
    font-size: 4rem;
  }

  #searchBtn {
    padding: 13px 30px;
    margin-top: 45px;
    font-size: 1.2rem;
    box-shadow: 3px 3px #a55412;
  }

  #searchBtn:active {
    margin-top: calc(45px + 2px);
    margin-bottom: -2px;
  }

  #searchBtnSM {
    display: none;
  }
  
  #searchBtnLG {
    display: block;
  }


  /*-------------------- Map Page General ----------------------- */
  #toggleMapBtn {display: none;}

  #resultsContainer,
  #resultsContainer.map-active,
  #directionContainer,
  #directionContainer.map-active,
  #nearbyContainer,
  #nearbyContainer.map-active,
  #weatherContainer,
  #weatherContainer.map-active,
  #directionContainer.active,
  #nearbyContainer.active,
  #weatherContainer.active  {
    min-width: 310px;
    width: 35vw;
    }
  
  #mapContainer,
  #mapContainer.map-active {
  width: 65vw;
  }

  #mapContainer {
    margin-top: calc(40px + 2*0.5rem);
    height: calc(100vh - 40px - 2*0.5rem);
  }

  #mapContainer select.map-active {
    display: block;
  }

  /*----------- Map Page Sidebar General ------------- */
  .closeSidebarBtn{
    right: 20px;
    top: 20px;
  }
  
  
  /*----------- Map Page Sidebar (Location Results) ------------- */
  #locationSelectContainer {
    display: flex;
  }

  /*----------- Map Page Sidebar (Location Results) ------------- */
  #locationContainer {
    height: calc(100vh - 145px);
  }

  #locationSelectContainer label {
    display: inline-block;
  }
  #nearbySearchResults {
    height: calc(100vh - 275px);
  }

  /* ============================================================ */
  /*                         FOOTER STYLES                        */
  /* ============================================================ */
  footer {
    font-size: 0.95rem;
    align-items: center;
  }

  footer div {
    width: 350px;
  }

  footer img {
    width: 300px;
    object-fit: cover;
    display: inline-block;
  }
}



